## ros-foxy-warehouse-ros 2.0.3

=== debian/changelog ===
ros-foxy-warehouse-ros (2.0.3-1focal) focal; urgency=high

  * Fix OpenSSL export, use package.xml format 3 (#83 <https://github.com/ros-planning/warehouse_ros/issues/83>)
  * Contributors: Henning Kayser

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 28 Jun 2021 22:00:00 -0000

ros-foxy-warehouse-ros (2.0.2-1focal) focal; urgency=high

  * Use ament_export_targets to fix exporting dependencies (#80 <https://github.com/ros-planning/warehouse_ros/issues/80>)
  * Sync with kinetic-devel branch up-to https://github.com/ros-planning/warehouse_ros/commit/25c94751a96b02e46859fec36915c9e8f38106e5 (#78 <https://github.com/ros-planning/warehouse_ros/issues/78>)
  * Fix MD5 calculation (#79 <https://github.com/ros-planning/warehouse_ros/issues/79>)
    MD5 checksums may contain NULLs, but are not guaranteed to be zero-terminated.
    Co-authored-by: Bjar Ne <mailto:gleichdick@users.noreply.github.com>
  * [ROS2] Add prerelease tests (#76 <https://github.com/ros-planning/warehouse_ros/issues/76>)
  * Add Galactic CI (#75 <https://github.com/ros-planning/warehouse_ros/issues/75>)
  * Fix building on windows (#73 <https://github.com/ros-planning/warehouse_ros/issues/73>)
  * Contributors: Akash, Bjar Ne, Jafar Abdi, Vatan Aksoy Tezer

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 28 Jun 2021 22:00:00 -0000

ros-foxy-warehouse-ros (2.0.1-1focal) focal; urgency=high

  * List OpenSSL as build depend (#68 <https://github.com/ros-planning/warehouse_ros/issues/68>)
  * Update CI and add Rolling Test (#69 <https://github.com/ros-planning/warehouse_ros/issues/69>)
  * Add badges for CI to README (#62 <https://github.com/ros-planning/warehouse_ros/issues/62>)
  * Add python black formatter to pre-commit (#66 <https://github.com/ros-planning/warehouse_ros/issues/66>)
  * Add copyright notices and test (#53 <https://github.com/ros-planning/warehouse_ros/issues/53>)
  * Add github actions ci using industrial_ci (#54 <https://github.com/ros-planning/warehouse_ros/issues/54>, #55 <https://github.com/ros-planning/warehouse_ros/issues/55>)
    * Enable ccache (#56 <https://github.com/ros-planning/warehouse_ros/issues/56>, #61 <https://github.com/ros-planning/warehouse_ros/issues/61>, #65 <https://github.com/ros-planning/warehouse_ros/issues/65>)
  * Contributors: Tyler Weaver

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sun, 23 May 2021 22:00:00 -0000

ros-foxy-warehouse-ros (2.0.0-1focal) focal; urgency=high

  * [maint] Fix -Wcast-qual compile warnings (#49 <https://github.com/ros-planning/warehouse_ros/issues/49>)
  * [ros2-migration] Port to ROS 2 (#48 <https://github.com/ros-planning/warehouse_ros/issues/48>)
    * Migrate CMakeLists.txt, package.xml to ROS 2
    * ROS 2 API Migration (Logging, messages, node, tf2)
    * Implement ROS 2 message serialization
    * Hotfix for MD5sum message type matching
    * Enable CI: clang-format, ament_lint on Foxy
  * Contributors: Yu Yan

 -- MoveIt! Release Team <moveit_releasers@googlegroups.com>  Thu, 19 Nov 2020 23:00:00 -0000

ros-foxy-warehouse-ros (0.9.4-1focal) focal; urgency=high

  * Cleanup: fix catkin_lint warnings, remove obsolete test folder
  * Fix unused-parameter warnings (#44 <https://github.com/ros-planning/warehouse_ros/issues/44>)
  * Bump required cmake version (#45 <https://github.com/ros-planning/warehouse_ros/issues/45>)
  * Contributors: Michael Görner, Robert Haschke

 -- MoveIt! Release Team <moveit_releasers@googlegroups.com>  Fri, 24 Apr 2020 22:00:00 -0000

ros-foxy-warehouse-ros (0.9.3-1focal) focal; urgency=high

  * Fix const char* -> std::string conversion
  * Fix install location for warehouse_ros. (#43 <https://github.com/ros-planning/warehouse_ros/issues/43>)
  * Contributors: Robert Haschke, Sean Yen

 -- MoveIt! Release Team <moveit_releasers@googlegroups.com>  Sat, 17 Aug 2019 22:00:00 -0000

ros-foxy-warehouse-ros (0.9.2-1focal) focal; urgency=high

  * Fix various smaller issues. (#41 <https://github.com/ros-planning/warehouse_ros/issues/41>)
    * fix guard name
    * virtual destructor for abstract class
    * use managed pointers - createUniqueInstance()
    * switch to C++11
    * clang-tidy modernize-use-override
  * Contributors: Robert Haschke

 -- MoveIt! Release Team <moveit_releasers@googlegroups.com>  Thu, 06 Dec 2018 23:00:00 -0000

ros-foxy-warehouse-ros (0.9.1-1focal) focal; urgency=high

  * fix missing return value (#40 <https://github.com/ros-planning/warehouse_ros/issues/40>)
  * update include statements to use new pluginlib and class_loader headers (#38 <https://github.com/ros-planning/warehouse_ros/issues/38>)
  * Contributors: Mikael Arguedas, Robert Haschke

 -- MoveIt! Release Team <moveit_releasers@googlegroups.com>  Tue, 16 Oct 2018 22:00:00 -0000

ros-foxy-warehouse-ros (0.9.0-1focal) focal; urgency=high

  * [fix] Omit dependency on mongo (and replace with pluginlib) #32 <https://github.com/ros-planning/warehouse_ros/issues/22>
  * [fix] Specifically including a header that seems to be required from Ubuntu Xenial.
  * [sys] Ensure headers and libraries are present for downstream pkgs #17 <https://github.com/ros-planning/warehouse_ros/issues/17>
  * [sys] Update CI config to test Jade and Kinetic #30 <https://github.com/ros-planning/warehouse_ros/issues/30>
  * [sys] Add rostest file and configs.
  * Contributors: Connor Brew, Dave Coleman, Ioan A Sucan, Isaac I.Y. Saito, Michael Ferguson, Scott K Logan

 -- MoveIt! Release Team <moveit_releasers@googlegroups.com>  Sun, 19 Jun 2016 22:00:00 -0000

ros-foxy-warehouse-ros (0.8.8-1focal) focal; urgency=high

  * Merge pull request #13 <https://github.com/ros-planning/warehouse_ros/issues/13> from corot/master
    Issue #11 <https://github.com/ros-planning/warehouse_ros/issues/11>: Add a Python library
  * Merge pull request #15 <https://github.com/ros-planning/warehouse_ros/issues/15> from v4hn/shared-static-mongodb
    only export MongoDB dependency for shared mongodb-library

